
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python中的对象，方法，类，实例，函数用法分析_python / iVAN</title>

    <meta name="description" content="Python中的对象，方法，类，实例，函数用法分析_python 本文实例分析了Python中的对象,方法,类,实例,函数用法.分享给大家供大家参考.具体分析如下: Python是一个完全面向对象的语言.不仅实例是对象,类,函数,方法也都是对象. 复制代码 代码如下: class Foo(object):     static_attr = True     def method(self):         pass foo = Foo() 这段代码实际上创造了两个对象,Foo和foo.而Foo同时又是一个类,foo是这个类的实例. 在C++里类型定义是在编">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python中的对象，方法，类，实例，函数用法分析_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文实例分析了Python中的对象，方法，类，实例，函数用法。分享给大家供大家参考。具体分析如下：</p>
<p>Python是一个完全面向对象的语言。不仅实例是对象，类，函数，方法也都是对象。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>class Foo(object):<br />
    static_attr = True<br />
    def method(self):<br />
        pass<br />
foo = Foo()</p>
<p>这段代码实际上创造了两个对象，Foo和foo。而Foo同时又是一个类，foo是这个类的实例。<br />
在C++里类型定义是在编译时完成的，被储存在静态内存里，不能轻易修改。在Python里类型本身是对象，和实例对象一样储存在堆中，对于解释器来说类对象和实例对象没有根本上的区别。<br />
在Python中每一个对象都有自己的命名空间。空间内的变量被存储在对象的__dict__里。这样，Foo类有一个__dict__, foo实例也有一个__dict__，但这是两个不同的命名空间。<br />
所谓“定义一个类”，实际上就是先生成一个类对象，然后执行一段代码，但把执行这段代码时的本地命名空间设置成类的__dict__. 所以你可以写这样的代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; class Foo(object):<br />
...     bar = 1 + 1<br />
...     qux = bar + 1<br />
...     print "bar: ", bar<br />
...     print "qux: ", qux<br />
...     print locals()<br />
...<br />
bar:  2<br />
qux:  3<br />
{'qux': 3, '__module__': '__main__', 'bar': 2}<br />
&gt;&gt;&gt; print Foo.bar, Foo.__dict__['bar']<br />
2 2<br />
&gt;&gt;&gt; print Foo.qux, Foo.__dict__['qux']<br />
3 3</p>
<p>所谓“定义一个函数”，实际上也就是生成一个函数对象。而“定义一个方法”就是生成一<br />
个函数对象，并把这个对象放在一个类的__dict__中。下面两种定义方法的形式是等价的：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; class Foo(object):<br />
...     def bar(self):<br />
...         return 2<br />
...<br />
&gt;&gt;&gt; def qux(self):<br />
...     return 3<br />
...<br />
&gt;&gt;&gt; Foo.qux = qux<br />
&gt;&gt;&gt; print Foo.bar, Foo.__dict__['bar']<br />
<br />&gt;&gt;&gt; print Foo.qux, Foo.__dict__['qux']</p>
<p>&gt;&gt;&gt; foo = Foo()<br />
&gt;&gt;&gt; foo.bar()<br />
2<br />
&gt;&gt;&gt; foo.qux()<br />
3</p>
<p>而类继承就是简单地定义两个类对象，各自有不同的__dict__:</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; class Cheese(object):<br />
...     smell = 'good'<br />
...     taste = 'good'<br />
...<br />
&gt;&gt;&gt; class Stilton(Cheese):<br />
...     smell = 'bad'<br />
...<br />
&gt;&gt;&gt; print Cheese.smell<br />
good<br />
&gt;&gt;&gt; print Cheese.taste<br />
good<br />
&gt;&gt;&gt; print Stilton.smell<br />
bad<br />
&gt;&gt;&gt; print Stilton.taste<br />
good<br />
&gt;&gt;&gt; print 'taste' in Cheese.__dict__<br />
True<br />
&gt;&gt;&gt; print 'taste' in Stilton.__dict__<br />
False</p>
<p>复杂的地方在`.`这个运算符上。对于类来说，Stilton.taste的意思是“在Stilton.__dict__中找'taste'. 如果没找到，到父类Cheese的__dict__里去找，然后到父类的父类，等等。如果一直到object仍没找到，那么扔一个AttributeError.”<br />
实例同样有自己的__dict__：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; class Cheese(object):<br />
...     smell = 'good'<br />
...     taste = 'good'<br />
...     def __init__(self, weight):<br />
...         self.weight = weight<br />
...     def get_weight(self):<br />
...         return self.weight<br />
...<br />
&gt;&gt;&gt; class Stilton(Cheese):<br />
...     smell = 'bad'<br />
...<br />
&gt;&gt;&gt; stilton = Stilton('100g')<br />
&gt;&gt;&gt; print 'weight' in Cheese.__dict__<br />
False<br />
&gt;&gt;&gt; print 'weight' in Stilton.__dict__<br />
False<br />
&gt;&gt;&gt; print 'weight' in stilton.__dict__<br />
True</p>
<p>不管__init__()是在哪儿定义的， stilton.__dict__与类的__dict__都无关。<br />
Cheese.weight和Stilton.weight都会出错，因为这两个都碰不到实例的命名空间。而<br />
stilton.weight的查找顺序是stilton.__dict__ =&gt; Stilton.__dict__ =&gt;<br />
Cheese.__dict__ =&gt; object.__dict__. 这与Stilton.taste的查找顺序非常相似，仅仅是<br />
在最前面多出了一步。</p>
<p>方法稍微复杂些。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; print Cheese.__dict__['get_weight']<br />
<br />&gt;&gt;&gt; print Cheese.get_weight</p>
<p>&gt;&gt;&gt; print stilton.get_weight<br />
&lt;__main__.Stilton object at 0x7ff820669190&gt;&gt;</p>
<p>我们可以看到点运算符把function变成了unbound method. 直接调用类命名空间的函数和点<br />
运算返回的未绑定方法会得到不同的错误：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; Cheese.__dict__['get_weight']()<br />
Traceback (most recent call last):<br />
  File "", line 1, in<br />
TypeError: get_weight() takes exactly 1 argument (0 given)<br />
&gt;&gt;&gt; Cheese.get_weight()<br />
Traceback (most recent call last):<br />
  File "", line 1, in<br />
TypeError: unbound method get_weight() must be called with Cheese instance as<br />
first argument (got nothing instead)</p>
<p>但这两个错误说的是一回事，实例方法需要一个实例。所谓“绑定方法”就是简单地在调用方法时把一个实例对象作为第一个参数。下面这些调用方法是等价的：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; Cheese.__dict__['get_weight'](stilton)<br />
'100g'<br />
&gt;&gt;&gt; Cheese.get_weight(stilton)<br />
'100g'<br />
&gt;&gt;&gt; Stilton.get_weight(stilton)<br />
'100g'<br />
&gt;&gt;&gt; stilton.get_weight()<br />
'100g'</p>
<p>最后一种也就是平常用的调用方式，stilton.get_weight()，是点运算符的另一种功能，将stilton.get_weight()翻译成stilton.get_weight(stilton).<br />
这样，方法调用实际上有两个步骤。首先用属性查找的规则找到get_weight, 然后将这个属性作为函数调用，并把实例对象作为第一参数。这两个步骤间没有联系。比如说你可以这样试：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; stilton.weight()<br />
Traceback (most recent call last):<br />
  File "", line 1, in<br />
TypeError: 'str' object is not callable</p>
<p>先查找weight这个属性，然后将weight做为函数调用。但weight是字符串，所以出错。要注意在这里属性查找是从实例开始的：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; stilton.get_weight = lambda : '200g'<br />
&gt;&gt;&gt; stilton.get_weight()<br />
'200g'</p>
<p>但是</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; Stilton.get_weight(stilton)<br />
'100g'</p>
<p>Stilton.get_weight的查找跳过了实例对象stilton，所以查找到的是没有被覆盖的，在Cheese中定义的方法。<br />
<br />getattr(stilton, 'weight')和stilton.weight是等价的。类对象和实例对象没有本质区别，getattr(Cheese, 'smell')和Cheese.smell同样是等价的。getattr()与点运算符相比，好处是属性名用字符串指定，可以在运行时改变。</p>
<p>__getattribute__()是最底层的代码。如果你不重新定义这个方法，object.__getattribute__()和type.__getattribute__()就是getattr()的具体实现，前者用于实例，后者用以类。换句话说，stilton.weight就是object.__getattribute__(stilton, 'weight'). 覆盖这个方法是很容易出错的。比如说点运算符会导致无限递归：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>def __getattribute__(self, name):<br />
        return self.__dict__[name]</p>
<p>__getattribute__()中还有其它的细节，比如说descriptor protocol的实现，如果重写很容易搞错。<br />
<br />__getattr__()是在__dict__查找没找到的情况下调用的方法。一般来说动态生成属性要用这个，因为__getattr__()不会干涉到其它地方定义的放到__dict__里的属性。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; class Cheese(object):<br />
...     smell = 'good'<br />
...     taste = 'good'<br />
...<br />
&gt;&gt;&gt; class Stilton(Cheese):<br />
...     smell = 'bad'<br />
...     def __getattr__(self, name):<br />
...         return 'Dynamically created attribute "%s"' % name<br />
...<br />
&gt;&gt;&gt; stilton = Stilton()<br />
&gt;&gt;&gt; print stilton.taste<br />
good<br />
&gt;&gt;&gt; print stilton.weight<br />
Dynamically created attribute "weight"<br />
&gt;&gt;&gt; print 'weight' in stilton.__dict__<br />
False</p>
<p>由于方法只不过是可以作为函数调用的属性，__getattr__()也可以用来动态生成方法，但同样要注意无限递归：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&gt;&gt;&gt; class Cheese(object):<br />
...     smell = 'good'<br />
...     taste = 'good'<br />
...     def __init__(self, weight):<br />
...         self.weight = weight<br />
...<br />
&gt;&gt;&gt; class Stilton(Cheese):<br />
...     smell = 'bad'<br />
...     def __getattr__(self, name):<br />
...         if name.startswith('get_'):<br />
...             def func():<br />
...                 return getattr(self, name[4:])<br />
...             return func<br />
...         else:<br />
...             if hasattr(self, name):<br />
...                 return getattr(self, name)<br />
...             else:<br />
...                 raise AttributeError(name)<br />
...<br />
&gt;&gt;&gt; stilton = Stilton('100g')<br />
&gt;&gt;&gt; print stilton.weight<br />
100g<br />
&gt;&gt;&gt; print stilton.get_weight<br />
<br />&gt;&gt;&gt; print stilton.get_weight()<br />
100g<br />
&gt;&gt;&gt; print stilton.age<br />
Traceback (most recent call last):<br />
  File "", line 1, in<br />
  File "", line 12, in __getattr__<br />
AttributeError: age</p>
<p>希望本文所述对大家的Python程序设计有所帮助。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:16:45</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/%e5%af%b9%e8%b1%a1/" title="对象">对象</a>, <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e7%b1%bb/" title="类">类</a>, <a href="https://www.iamivan.net/tag/%e7%94%a8%e6%b3%95/" title="用法">用法</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python中的对象，方法，类，实例，函数用法分析_python的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZRd96z.html" rel="bookmark">python中map、any、all函数用法分析&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python中map.any.all函数用法.分享给大家供大家参考.具体分析如下: 最近想学python,就一直比较关注python,昨天在python吧看到有个帖子提问怎么在python中怎么判断密码是否符合规范,回帖中有很多用循环的,除此外还有一个没有用循环,代码非常简练,下面是代码: def volid(pwd): a = any(map(str.isupper,pwd)) b = any(map(str.islower,pwd)) c = any(map(str.isdig			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0boLnVM.html" rel="bookmark">python中map、any、all函数用法分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了python中map.any.all函数用法,实例分析了map.any.all函数的相关使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下 本文实例讲述了python中map.any.all函数用法.分享给大家供大家参考.具体分析如下: 最近想学python,就一直比较关注python,昨天在python吧看到有个帖子提问怎么在python中怎么判断密码是否符合规范,回帖中有很多用循环的,除此外还有一个没有用循环,代码非常简练,下面是代码: ? 1 2 3 4 5 6 d			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLmxgM.html" rel="bookmark">python中dir函数用法分析&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python中dir函数用法.分享给大家供大家参考.具体分析如下: dir 函数返回任意对象的属性和方法列表, 包括模块对象.函数对象.字符串对象.列表对象.字典对象 ...... 相当多的东西. dir函数示例: &gt;&gt;&gt; li = [] &gt;&gt;&gt; dir(li) ['append','count','extend','index','insert', 'pop','remove','reverse','sort'] &gt;&gt;&gt; d = {}			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOdv85b.html" rel="bookmark">python中Genarator函数用法分析&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python中Genarator函数用法.分享给大家供大家参考.具体如下: Generator函数的定义与普通函数的定义没有什么区别,只是在函数体内使用yield生成数据项即可.Generator函数可以被for循环遍历,而且可以通过next()方法获得yield生成的数据项. def func(n): for i in range(n): yield i for i in func(3): print i r=func(3) print r.next() print r.next			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9W9NXz.html" rel="bookmark">python类继承与子类实例初始化用法分析&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python类继承与子类实例初始化用法.分享给大家供大家参考.具体分析如下: [ 先贴参考书籍原文(中文英文对照)] __init__方法介绍:If a base class has an __init__() method the derived class's __init__() method must explicitly call it to ensure proper initialization of the base class part of the instan			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOnWEvp.html" rel="bookmark">Python中不同进制的语法及转换方法分析&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python中不同进制的语法及转换方法.分享给大家供大家参考,具体如下: 不同进制的书写方式 ① 八进制(Octal) 0o377 ② 十六进制(Hex) 0xFF ③ 二进制(Binary) 0b11111111 不同进制之间的转换 Python提供了三个内置的函数,可以用来在不同进制间做转换. &gt;&gt;&gt; oct(255), hex(255), bin(255) ('0o377', '0xff', '0b11111111') 还可以使用int函数,把字符串转成数值 &gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7ZdGZp.html" rel="bookmark">Python中使用platform模块获取系统信息的用法教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				操作系统相关 system() : 操作系统类型(见例) version(): 操作系统版本 release(): 操作系统发布号, 例如win 7返回7, 还有如NT, 2.2.0之类. platform(aliased=0, terse=0): 操作系统信息字符串,扥与system()+win32_ver()[:3] win32_ver(release='', version='', csd='', ptype=''): win系统相关信息 linux_distribution(distna			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjOoxp.html" rel="bookmark">javascript-关于js中在函数对象构造器中定义对象方法的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于js中在函数对象构造器中定义对象方法的问题 为什么函数前要有this.changeName=changeName 我是个新手 谢谢了 解决方案 无关在函数前后,赋值是因为为了调用到person内部定义的changeName函数,要不访问不到.也就是为了实现下面 myMonther.changeName('Ballmer');//这么使用函数 解决方案二: changeName是个私有函数,外部是访问不到的,所以要想在外部能够访问到就必须给个外部能访问到的公有属性或者公有方法			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My25aPp.html" rel="bookmark">《Python游戏编程入门》&mdash;&mdash;1&period;3 Python中的对象</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 Python中的对象 Python是面向对象编程语言,这意味着,它至少支持一些面向对象编程概念.现在,我们将花一些时间来介绍这些概念,因为这是一种编写代码的高效方式.面向对象编程(OOP)是一种方法学,也就是做事情的方式.在计算机科学中,有几种较大的.&quot;伞状的&quot;方法学,也就是说,定义了编程语言的功能的方法学.要让我们的技能成为可以传播的,方法学对于这个产业来说很重要.如果每个公司使用他们自己的方法学,那么,为该公司工作的过程中所获取的技能,对于另一个不同的组织来说将会是无用的.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz768qp.html" rel="bookmark" class="title">Photoshop打造唯美的淡蓝色树林美女图片</a>
					<div>
						唯美图片最快的制作方法就是使用云彩素材.操作的时候把云彩直接叠加到图片上面,用蒙版控制好范围,就可以得到初步的效果,后期微调颜色,把整体柔化处理,再调整人物颜色即可. 原图 最终效果 [1] [2]  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8aVZz.html" rel="bookmark" class="title">一篇以前的文章&period;发过来再温习下&period;大虾飘过&period;</a>
					<div>
						  在设计或者维护 Web 网站时,你也许担心它们会受到某些卑鄙用户的恶意攻击.的确,如今的 Web 网站开发者们针对其站点所在操作系统平台或Web 服务器的安全性而展开的讨论实在太多了.不错,IIS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0A1mp.html" rel="bookmark" class="title">如何卸载mscs、活动目录和dns</a>
					<div>
						如何 卸载mscs.活动目录.dns方法 1.  首先卸载mscs 带出和停止mscs集群相关应用后,即可在命令行执行如下命令清除本机节点,命令格式是, cluster node %nodename% ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7BO3b.html" rel="bookmark" class="title">VSFTPD使用之菜鸟篇</a>
					<div>
						vsFTP服务器的安装 安装一个软件实在是不许要在这里介绍,因此,这里的安装主要针对vsFTPd服务器的初级配置. 这是我这个菜鸟学习LINUX所写的第一篇文章,是比较基础的FTP架设的应用,如果我写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEljVZz.html" rel="bookmark" class="title">Photoshop制作砖墙上霓虹灯文字</a>
					<div>
						教程将带领大家用PS制作一幅绚丽的砖墙上的霓虹灯效果图,制作过程比较简单,没有太多PS操作经验的朋友只要跟着学习也可以掌握. 最终效果图 素材图 1.打开素材,新建色相/饱和度调整图层,设置如下图:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKk8Vp.html" rel="bookmark" class="title">在Photoshop中简单的三维地球设计教程</a>
					<div>
						在Photoshop中简单的三维地球设计教程 点击这里下载本教程使用的Photoshop文件 第1步 打开Photoshop,然后用矩形工具(U)的创建一个矩形,然后开始复制它,直到你拿到7列.使用分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY090M.html" rel="bookmark" class="title">打开网页出现无法打开internet站点怎</a>
					<div>
						最佳解决方法:按照以下操作步骤进行操作: 1.IE浏览器→选择&quot;工具&quot;→点击&quot;Internet 选项&quot; 2.在Internet 选项中,选择&quot;高级&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZd7aOM.html" rel="bookmark" class="title">win8切换账号时无法连接微软帐户怎么办</a>
					<div>
						  在Win8系统中,我们可以直接将本地帐号切换至微软帐户上,从而实现帐户网络的共享.不过,最近有些win8系统用户反映自己在切换帐户时,发现自己根本无法连接到最新win8系统微软帐户.遇到这种情况, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkK5Lb.html" rel="bookmark" class="title">Win7系统硬盘图标变了怎么改回来？</a>
					<div>
						  Win7系统硬盘图标显示不正常怎么办呢?下面小编为大家介绍一下Win7系统硬盘图标变了怎么改回来. 1.方法很简单,我们首先在桌面找到&quot;计算机&quot;,右键点击菜单选择&quot;管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwnG3p.html" rel="bookmark" class="title">wifi共享精灵3&period;0怎么用？</a>
					<div>
						  wifi共享精灵3.0怎么用?下文将为大家演示wifi共享精灵3.0使用方法.3.0是WiFi共享精灵最新的版本哦~如果你不会使用的话,就请参考下文的相关介绍吧. 一.免费上网 电脑下载WIFI共 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm5qZz.html" rel="bookmark" class="title">图片文字提取用什么软件好</a>
					<div>
						图片文字提取如果光靠照葫芦画瓢的照着图片输入word或是txt中的话就太落后了,这样做不仅耗费大量的时间,而且还容易出现差错.所以这个时候使用图片文字提取软件是最好的选择,但是在软件的选择上让很多用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXj1aAb.html" rel="bookmark" class="title">如何去掉快捷方式字样？</a>
					<div>
						  操作步骤如下: 步骤(1)打开 HKEY_USERSS-1-5-21-602162358-1202660629-839522115-1003SoftwareMicrosoftWindows Cur ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oxlgb.html" rel="bookmark" class="title">阿里云播放器SDK的正确打开方式 &vert; Aliplayer Web播放器介绍及功能实现（三）</a>
					<div>
						阿里云播放器SDK(ApsaraVideo for Player SDK)是阿里视频云端到云到端服务的重要一环,除了支持点播和直播的基础播放功能外,还深度融合视频云业务,支持视频的加密播放.安全下载. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EO03M.html" rel="bookmark" class="title">Ajax实现跨域访问的三种方法&lowbar;AJAX相关</a>
					<div>
						一.什么是跨域 我们先回顾一下域名地址的组成: http:// www . google : 8080 / script/jquery.js   http:// (协议号)               ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP7vrp.html" rel="bookmark" class="title">c语言-求C语言大牛帮我看看，网络信息安全作业，pe病毒</a>
					<div>
						问题描述 求C语言大牛帮我看看,网络信息安全作业,pe病毒 #include &quot;stdafx.h&quot; #include #include #include #include #inc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqPZKz.html" rel="bookmark" class="title">多线程-为何使用openmp对程序进行加速，但效果并不理想</a>
					<div>
						问题描述 为何使用openmp对程序进行加速,但效果并不理想 我需要多次(约30万次)对一个较大的矩阵(88147乘以2000)进行计算,而计算过程并不复杂,只是简单的将整个矩阵遍历一遍,做一些小的计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7gPQp.html" rel="bookmark" class="title">开源框架&colon;Alcatraz</a>
					<div>
						引言: Alcatraz是一个可以帮你集中管理Xcode插件的&quot;插件&quot;,它的用途类似于CocoaPods. 通过Alcatraz来使用插件是一件非常方面的事情,我们无需再去Gith ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB9a8M.html" rel="bookmark" class="title">javascript做计算器-用javascript做一个计算器怎样才能让数字按键上的数字显示在上面的文本框中</a>
					<div>
						问题描述 用javascript做一个计算器怎样才能让数字按键上的数字显示在上面的文本框中 用javascript做一个计算器怎样才能让数字按键上的数字显示在上面的文本框中 解决方案 参考这个完整的例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY86Qp.html" rel="bookmark" class="title">【网站安全】网站被挂木马与777权限的奥妙</a>
					<div>
						某天站长平台的微信群里的一位同学说网站被人挂马了,查了半天也查不到原因.艺龙SEO负责人刘明问了一句&quot;是不是技术把linux系统里网站的核心目录设置777文件权限了&quot;,同学查后发现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB17nKz.html" rel="bookmark" class="title">说说这二年来的建站经历</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 其他不多说了谈谈我这快二年 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8A1P9z.html" rel="bookmark" class="title">中小企业网站应该如何选择虚拟主机</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 随着互联的快速发展越来越多的企业加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyewN8M.html" rel="bookmark" class="title">多进程-多客户socket出现fork&colon; Resource temporarily unavailable</a>
					<div>
						问题描述 多客户socket出现fork: Resource temporarily unavailable server端代码如下: #include #include #include #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60APLz.html" rel="bookmark" class="title">互联网情怀与互联网思维相辅相成</a>
					<div>
						讲到情怀,互联网刚发展的时候,那是刚起家现在的互联网大佬们哪个没有互联网情怀呢?没有这份情怀能有现在的TABLE与搜狐.新浪.网易等门户?大佬们不忆往昔的时刻不会讲到情怀,但是现在情怀这个词已经与互联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0AR7M.html" rel="bookmark" class="title">合伙做站要谨慎 分享60万PV网站如何一夜之间滑落</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今年是刚入大学的第一个暑假,闲暇时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBYWQM.html" rel="bookmark" class="title">程序-System&period;Management&period;dll</a>
					<div>
						问题描述 System.Management.dll 跪求System.Management.dll程序集,网上下载的都没有用,那我为大神有的请发给我,谢谢 解决方案 如果64bit os,到别的好用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoBK9M.html" rel="bookmark" class="title">全世界注册用户数最多的MMORPG游戏</a>
					<div>
						本报记者 纪佳鹏 北京报道 &lt;魔兽世界&gt;在PC游戏领域里程碑式的意义至今在游戏行业无人能匹敌.这款全世界注册用户数最多的MMORPG游戏,毋庸置疑地成为了一代人的回忆. 眼下,正值网易与暴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmWLqp.html" rel="bookmark" class="title">非主流诡异图片</a>
					<div>
						呵呵是不是觉得有一点诡异的效果啊. 好现在来说说制作方法,我想各位也等不及了吧? 第一步:把背景图层复制两层   把最上面的图层去色 三步:点击图层面板的&quot;添加蒙板   第四步:选择图层面板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKW4KM.html" rel="bookmark" class="title">MFC实现在文件尾追加数据的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了MFC实现在文件尾追加数据的方法.分享给大家供大家参考.具体如下: BOOL CDelDlg::WritetoFile(CString sValue) { CString sFile = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl4E1p.html" rel="bookmark" class="title">css样式表如何进行代码压缩</a>
					<div>
						css代码优化作用与意义 1.减少占用网页字节.在同等条件下缩短浏览器下载css代码时间,相当于加快网页打开速度 2.便于维护.简化和标准化css代码让css代码减少,便于日后维护 3.让自己写的cs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxERwmp.html" rel="bookmark" class="title">&lbrack;&starf;大家帮帮忙啊 &rsqb;后台 写了一个存储过程模糊 查询 ，报错了。</a>
					<div>
						问题描述 这是一个非常完整的后台程序stringsql=&quot;select*fromCityTablewhereCName=@CName&quot;;SqlConnectionconn=newS ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
